# -*- coding: utf-8 -*-
#------------------------------------------------------------
# Thanks to the Authors of the base code
#------------------------------------------------------------
# License: GPL (http://www.gnu.org/licenses/gpl-3.0.html)
# Based on code from youtube addon
#
# modified by: SkymashiTV
#------------------------------------------------------------

import os
import sys
import plugintools
import xbmc,xbmcaddon
from addon.common.addon import Addon

addonID = 'plugin.video.simplycaztv'
addon = Addon(addonID, sys.argv)
local = xbmcaddon.Addon(id=addonID)
icon = local.getAddonInfo('icon')

YOUTUBE_CHANNEL_ID_1 = "PLSEul0uJ_UAZDE3lDFGyhpoEwrjj2jxBc" 	# All in One
YOUTUBE_CHANNEL_ID_2 = "PLSEul0uJ_UAbNyucoDQfLQf6kJEIZ9Qgc"		# Updates / News
YOUTUBE_CHANNEL_ID_3 = "PLSEul0uJ_UAbO3uLtXag6ecLpa8HyJu0d" 	# Build Reviews
YOUTUBE_CHANNEL_ID_4 = "PLSEul0uJ_UAa9OaBf0ZZ4vhwsakbvugme"		# Add-on Reviews
YOUTUBE_CHANNEL_ID_5 = "PLSEul0uJ_UAbLigjd_tH9Ota7LR-F47Gn" 	# Repository Reviews
YOUTUBE_CHANNEL_ID_6 = "PLSEul0uJ_UAY-JDsBH2GawQW3JnOnw_ch" 	# Skin Reviews
YOUTUBE_CHANNEL_ID_7 = "PLSEul0uJ_UAbmYW_YznXGNRfWm-KyvpmH" 	# Sports Addon Reviews
YOUTUBE_CHANNEL_ID_8 = "PLSEul0uJ_UAbe6kR0k8fgayFZnDNNoRCU" 	# IPTV / LiveTV Reviews
YOUTUBE_CHANNEL_ID_9 = "PLSEul0uJ_UAY0gFQKvFb6nhcwJ7RaEEXd" 	# Tech Reviews
YOUTUBE_CHANNEL_ID_10 = "PLpuNzCmV7CKVh-nVETUDy5Z7mMjHoE_wm"	# Vlogs Non Kodi
YOUTUBE_CHANNEL_ID_11 = "PLpuNzCmV7CKWya5ZGbgtCRUF_eWykizMw"	# Tech Reviews & Unboxing Non Kodi
YOUTUBE_CHANNEL_ID_12 = "PLpuNzCmV7CKU0F3qnkkj5yN0ZnpRw9hJh"	# Gaming
YOUTUBE_CHANNEL_ID_13 = "PLpuNzCmV7CKU1hBYt2StZj6Gvop19Z_93"	# Inspirational Messages




# Entry point
def run():
    plugintools.log("docu.run")
    
    # Get params
    params = plugintools.get_params()
    
    if params.get("action") is None:
        main_list(params)
    else:
        action = params.get("action")
        exec action+"(params)"
    
    plugintools.close_item_list()

# Main menu
def main_list(params):
    plugintools.log("docu.main_list "+repr(params))

    plugintools.add_item( 
        #action="", 
        title="Simply Caz - All in One",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_1+"/",
        thumbnail="http://repo.cazwall.com/sc/...Subscribe%20to%20_Simply%20Caz_%20on%20YouTube_/images/SimplyCaz/icon.png",
		fanart="http://img.youtube.com/vi/JtWgqLeeA2U/maxresdefault.jpg",
        folder=True )

    plugintools.add_item( 
        #action="", 
        title="Updates & News",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_2+"/",
        thumbnail="http://repo.cazwall.com/sc/...Subscribe%20to%20_Simply%20Caz_%20on%20YouTube_/images/SimplyCaz/icon.png",
		fanart="http://img.youtube.com/vi/4B1sdnWIxe4/sddefault.jpg",
        folder=True )

    plugintools.add_item( 
        #action="", 
        title="Build Reviews",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_3+"/",
        thumbnail="http://repo.cazwall.com/sc/...Subscribe%20to%20_Simply%20Caz_%20on%20YouTube_/images/SimplyCaz/icon.png",
		fanart="http://img.youtube.com/vi/8-8LmAw5enQ/sddefault.jpg",
        folder=True )

    plugintools.add_item( 
        #action="", 
        title="Add-on Reviews",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_4+"/",
        thumbnail="http://repo.cazwall.com/sc/...Subscribe%20to%20_Simply%20Caz_%20on%20YouTube_/images/SimplyCaz/icon.png",
		fanart="http://img.youtube.com/vi/1Lb76qE8cfk/maxresdefault.jpg",
        folder=True )

    plugintools.add_item( 
        #action="", 
        title="Repository Reviews",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_5+"/",
        thumbnail="http://repo.cazwall.com/sc/...Subscribe%20to%20_Simply%20Caz_%20on%20YouTube_/images/SimplyCaz/icon.png",
		fanart="http://img.youtube.com/vi/KI3KrkutzO8/maxresdefault.jpg",
        folder=True )

    plugintools.add_item( 
        #action="", 
        title="Skin Reviews",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_6+"/",
        thumbnail="http://repo.cazwall.com/sc/...Subscribe%20to%20_Simply%20Caz_%20on%20YouTube_/images/SimplyCaz/icon.png",
		fanart="http://img.youtube.com/vi/6HX0hycL0aA/sddefault.jpg",
        folder=True )

    plugintools.add_item( 
        #action="", 
        title="Sports Add-on Reviews",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_7+"/",
        thumbnail="http://repo.cazwall.com/sc/...Subscribe%20to%20_Simply%20Caz_%20on%20YouTube_/images/SimplyCaz/icon.png",
		fanart="http://img.youtube.com/vi/_2oScexjUQc/sddefault.jpg",
        folder=True )

    plugintools.add_item( 
        #action="", 
        title="IPTV / LiveTV Reviews",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_8+"/",
        thumbnail="http://repo.cazwall.com/sc/...Subscribe%20to%20_Simply%20Caz_%20on%20YouTube_/images/SimplyCaz/icon.png",
		fanart="http://img.youtube.com/vi/0kO5L-mN2F8/sddefault.jpg",
        folder=True )

    plugintools.add_item( 
        #action="", 
        title="Tech Reviews",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_9+"/",
        thumbnail="http://repo.cazwall.com/sc/...Subscribe%20to%20_Simply%20Caz_%20on%20YouTube_/images/SimplyCaz/icon.png",
		fanart="http://img.youtube.com/vi/i4BiRI98zDE/maxresdefault.jpg",
        folder=True )

    plugintools.add_item( 
        #action="", 
        title="Vlogs Non Kodi",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_10+"/",
        thumbnail="https://yt3.ggpht.com/-q-vlEW4ce7k/AAAAAAAAAAI/AAAAAAAAAAA/S9IKY5ithiE/s300-c-k-no-rj-c0xffffff/photo.jpg",
		fanart="http://img.youtube.com/vi/roIBQc6EhkM/sddefault.jpg",
        folder=True )

    plugintools.add_item( 
        #action="", 
        title="Tech Reviews & Unboxing Non Kodi",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_11+"/",
        thumbnail="https://yt3.ggpht.com/-q-vlEW4ce7k/AAAAAAAAAAI/AAAAAAAAAAA/S9IKY5ithiE/s300-c-k-no-rj-c0xffffff/photo.jpg",
		fanart="http://img.youtube.com/vi/RNqeNsyeUbA/sddefault.jpg",
        folder=True )

    plugintools.add_item( 
        #action="", 
        title="Gaming",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_12+"/",
        thumbnail="https://yt3.ggpht.com/-q-vlEW4ce7k/AAAAAAAAAAI/AAAAAAAAAAA/S9IKY5ithiE/s300-c-k-no-rj-c0xffffff/photo.jpg",
		fanart="http://img.youtube.com/vi/HVrUYs5IrUY/sddefault.jpg",
        folder=True )

    plugintools.add_item( 
        #action="", 
        title="Inspirational Messages",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_13+"/",
        thumbnail="https://yt3.ggpht.com/-q-vlEW4ce7k/AAAAAAAAAAI/AAAAAAAAAAA/S9IKY5ithiE/s300-c-k-no-rj-c0xffffff/photo.jpg",
		fanart="http://img.youtube.com/vi/1l106dlnl9E/sddefault.jpg",
        folder=True )

run()
